// D:\work\WinUI-fe\WinUISDK\UISDKDemo\demo\code\demoSharePermission.cpp: 实现文件
//

#include "stdafx.h"
#include "demoSharePermission.h"
#include "afxdialogex.h"
#include "demo.h"
#include "HwmSdkAgent.h"


// demoSharePermission 对话框

IMPLEMENT_DYNAMIC(demoSharePermission, CDialogEx)

demoSharePermission::demoSharePermission(CWnd* pParent /*=nullptr*/)
	: CDialogEx(IDD_SHARE_PERMISSION, pParent)
{

}

demoSharePermission::~demoSharePermission()
{
}

void demoSharePermission::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(demoSharePermission, CDialogEx)
    ON_BN_CLICKED(IDOK, &demoSharePermission::OnBnClickedOk)
    ON_BN_CLICKED(IDC_BUTTON1, &demoSharePermission::OnBnClickedButton1)
END_MESSAGE_MAP()


// demoSharePermission 消息处理程序


void demoSharePermission::OnBnClickedOk()
{
    hwmsdkagent::SetShareScreenPermission(true);
    CDialogEx::OnOK();
}


void demoSharePermission::OnBnClickedButton1()
{
    hwmsdkagent::SetShareScreenPermission(false);
    CDialogEx::OnOK();
}
